<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:f="http://java.sun.com/jsf/core"
      xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:p="http://primefaces.org/ui">

    <f:view contentType="text/html">
        <h:head>
        </h:head>
        <h:body>
            prueba de si es obligatorio usar el estándar de isXXX que se usa en lugar del los getXXX para variables booleanas <br/>

            <br/>

            <p:ajaxStatus style="width:16px;height:16px;">
                <f:facet name="start">
                    <h:graphicImage value="/images/ajaxloadingbar.gif" />
                </f:facet>

                <f:facet name="complete">
                    <h:outputText value="" />
                </f:facet>
            </p:ajaxStatus>

            <p:messages id="msgs" showDetail="false" globalOnly="false" />

            <h:form prependId="false" id="form1">
                <h:outputText value="boolean got from MB using getXXX : #{calendar.isSomething}" />
                <br />
                <h:outputText value="if true it means that it's not mandatory to use isXXX for naming a boolean-getter method" />

            </h:form>

        </h:body>
    </f:view>
</html>